This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 198367 - Package gimp lacks IPv6 support
Package gimp lacks IPv6 support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
: Reopened
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 06:17 EDT by Peter Vrabec
Modified: 2010-07-01 05:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: gimp-2.6.9-4.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 05:25:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 623045 None None None Never

  None (edit)
Description Peter Vrabec 2006-07-11 06:17:45 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/gimp-2.2.11/plug-ins/script-fu/script-fu-server.c:558:  sock = socket (PF_INET, SOCK_STREAM, 0);
/gimp-2.2.11/plug-ins/script-fu/script-fu-server.c:568:  name.sin_family      = AF_INET;
Comment 1 Peter Vrabec 2006-09-01 10:56:23 EDT
I'm sorry, this bug was reported by mistake. I guess gimp does not need networking.
Comment 2 Nils Philippsen 2010-06-28 10:40:33 EDT
Well, it does, kinda (in a fringe use case). Filed upstream, with patches at https://bugzilla.gnome.org/show_bug.cgi?id=623045
Comment 3 Nils Philippsen 2010-07-01 05:25:01 EDT
After stumbling into some problems in dependencies, I could finally build this for rawhide: gimp-2.6.9-4.fc14

Note You need to log in before you can comment on or make changes to this bug.